
import "FrostyPlugins.Calendar";

calendarWindow = CalendarWindow();
calendarWindow:SetVisible( true );

calendarCommand = Turbine.ShellCommand();

function calendarCommand:Execute( command, arguments )
	if ( arguments == "show" ) then
		calendarWindow:SetVisible( true );
	elseif ( arguments == "hide" ) then
		calendarWindow:SetVisible( false );
	elseif ( arguments == "toggle" ) then
		calendarWindow:SetVisible( not travel:IsVisible() );
	end
end

function calendarCommand:GetHelp()
	return "Calendar\n\ncalendar show: Display the calendar\ncalendar hide: Hides the calendar";
end

function calendarCommand:GetShortHelp()
	return "Shows or hides the calendar.";
end

Turbine.Shell.AddCommand( "cal;calendar", calendarCommand );
